mysqli::next_result
mysqli::ping
MySQLi
PHP Manual

# mysqli::options

# mysqli_options

(PHP 5)

mysqli::options -- mysqli_options — Définit les options

### Description

Style orienté objet :

bool mysqli::options ( int `$option` , mixed `$value` )

Style procédural :

bool mysqli_options ( mysqli `$link` , int `$option` , mixed `$value` )

Utile pour définir des options de connexion et ainsi affecter le comportement de la connexion courante.

Cette fonction peut être appelée plusieurs fois pour définir plusieurs options.

mysqli_options() doit être appelée après mysqli_init() et avant mysqli_real_connect().

### Liste de paramètres

`link`

  Seulement en style procédural : Un identifiant de lien retourné par la fonction mysqli_connect() ou par la fonction mysqli_init()

`option`

  L'option que vous voulez définir. Il peut prendre une des valeurs suivantes :

  Options valides
  Nom | Description
  --- | ---
  `MYSQLI_OPT_CONNECT_TIMEOUT` | délai maximal de la connexion en secondes
  `MYSQLI_OPT_LOCAL_INFILE` | active/désactive l'utilisation de LOAD LOCAL INFILE
  `MYSQLI_INIT_COMMAND` | commande à exécuter après la connexion au serveur MySQL
  `MYSQLI_READ_DEFAULT_FILE` | Lit les options depuis le nom de l'option plutôt que du fichier my.cnf
  `MYSQLI_READ_DEFAULT_GROUP` | Lit les options du groupe depuis my.cnf ou depuis le fichier spécifié avec `MYSQL_READ_DEFAULT_FILE`.

`value`

  La valeur pour l'option.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

### Exemples

Voir mysqli_real_connect().

### Voir aussi

- mysqli_init() - Initialise MySQLi et retourne une ressource à utiliser avec mysqli_real_connect()
- mysqli_real_connect() - Ouvre une connexion à un serveur MySQL

mysqli::next_result
mysqli::ping
MySQLi
PHP Manual